%global momorel 1
%global md5sum_src0 99b5d9efd4fce35cabb4ae5d0ebb230d
%global drvver 0.9

Summary: A networked sound server, similar in theory to the Enlightened Sound Daemon
Name: pulseaudio
Version: 0.9.5
Release: %{momorel}m%{?dist}
License: GPL
Group: System Environment/Daemons
URL: http://pulseaudio.org/
%NoSource 0 http://0pointer.de/lennart/projects/%{name}/%{name}-%{version}.tar.gz %{md5sum_src0}
Patch1: pulseaudio-0.9.2-nochown.patch
Patch2: pulseaudio-0.9.5-userconf.patch
Patch3: pulseaudio-0.9.5-framesize.patch
Patch4: pulseaudio-0.9.5-suspend.patch
BuildRequires: liboil-devel libsamplerate-devel libsndfile-devel m4
BuildRequires: libcap-devel libtool-ltdl-devel pkgconfig tcp_wrappers
BuildRequires: alsa-lib-devel glib2-devel avahi-devel GConf2-devel
BuildRequires: lirc-devel doxygen jack-devel hal-devel libXt-devel
BuildRequires: xorg-x11-proto-devel

Requires: liboil libsamplerate libsndfile m4 libcap libtool-ltdl tcp_wrappers
Requires: alsa-lib glib2 avahi GConf2 lirc jack hal libXt xorg-x11-server-Xorg

BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
PulseAudio is a sound server for Linux and other Unix like operating
systems. It is intended to be an improved drop-in replacement for the
Enlightened Sound Daemon (ESOUND).

%package devel
Summary: Headers and libraries for PulseAudio server module development
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Headers and libraries for developing modules for the PulseAudio sound server.

%prep
%setup -q

%patch1 -p1 -b .nochown
%patch2 -p2 -b .userconf
%patch3 -p0 -b .framesize
%patch4 -p0 -b .suspend

%build
%configure --disable-ltdl-insatll --disable-static --disable-rpath \
           --with-system-user=pulse --with-system-group=pulse \
           --with-realtime-group=pulse-rt --with-access-group=pulse-access
%make
%make doxygen

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

find %{buildroot} -name "*.la" -delete

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%pre
groupadd -r pulse &>/dev/null || :
useradd -r -c 'PulseAudio daemon' \
    -s /sbin/nologin -d / -g pulse pulse &>/dev/null || :
groupadd -r pulse-rt &>/dev/null || :
groupadd -r pulse-access &>/dev/null || :

%post -p /sbin/ldconfig

%postun
/sbin/ldconfig
if [ $1 -eq 0 ]; then
    userdel pulse &>/dev/null || :
    groupdel pulse &>/dev/null || :
    groupdel pulse-rt &>/dev/null || :
    groupdel pulse-access &>/dev/null || :
fi

%files
%defattr(-,root,root)
%doc README LICENSE GPL LGPL todo
%dir %{_sysconfdir}/pulse/
%config(noreplace) %{_sysconfdir}/pulse/daemon.conf
%config(noreplace) %{_sysconfdir}/pulse/default.pa
%config(noreplace) %{_sysconfdir}/pulse/client.conf
%{_libdir}/*.so.*
%{_libdir}/pulse-%{drvver}/
%{_libexecdir}/pulse/gconf-helper
%attr(4755,root,root) %{_bindir}/pulseaudio
%{_bindir}/esdcompat
%{_bindir}/pabrowse
%{_bindir}/pacat
%{_bindir}/pacmd
%{_bindir}/pactl
%{_bindir}/padsp
%{_bindir}/paplay
%{_bindir}/parec
%{_bindir}/pax11publish

%files devel
%defattr(-,root,root)
%doc doxygen/html
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so
%{_includedir}/pulse/
%{_includedir}/pulsecore/

%changelog
* Tue Mar 20 2007 Mitsuru Shimamura <smbd@momonga-linux.org>
- (0.9.5-1m)
- welcome to momonga

* Sat Mar  2 2007 Pierre Ossman <drzeus@drzeus.cx> 0.9.5-5
- Fix merge problems with patch.

* Fri Mar  2 2007 Pierre Ossman <drzeus@drzeus.cx> 0.9.5-4
- Add patch to handle ALSA changing the frame size (bug 230211).
- Add patch for suspended ALSA devices (bug 228205).

* Mon Feb  5 2007 Pierre Ossman <drzeus@drzeus.cx> 0.9.5-3
- Add esound-compat subpackage that allows PulseAudio to be a drop-in
  replacement for esd (based on patch by Matthias Clasen).
- Backport patch allows startup to continue even when the users'
  config cannot be read.

* Wed Oct 23 2006 Pierre Ossman <drzeus@drzeus.cx> 0.9.5-2
- Create user and groups for daemon.

* Mon Aug 28 2006 Pierre Ossman <drzeus@drzeus.cx> 0.9.5-1
- Upgrade to 0.9.5.

* Wed Aug 23 2006 Pierre Ossman <drzeus@drzeus.cx> 0.9.4-3
- Make sure JACK modules are built and packaged.

* Tue Aug 22 2006 Pierre Ossman <drzeus@drzeus.cx> 0.9.4-2
- Merge the ALSA modules into the main package as ALSA is the
  standard API.

* Sun Aug 20 2006 Pierre Ossman <drzeus@drzeus.cx> 0.9.4-1
- Update to 0.9.4.
- Remove fix for rpath as it is merged upstream.

* Fri Jul 21 2006 Toshio Kuratomi <toshio@tiki-lounge.com> 0.9.3-2
- Remove static libraries.
- Fix for rpath issues.

* Fri Jul 21 2006 Pierre Ossman <drzeus@drzeus.cx> 0.9.3-1
- Update to 0.9.3
- GLib 1.2 bindings dropped.
- Howl compat dropped as Avahi is supported natively.
- Added fix for pc files on x86_64.

* Sat Jul  8 2006 Pierre Ossman <drzeus@drzeus.cx> 0.9.2-1
- Update to 0.9.2.
- Added Avahi HOWL compat dependencies.

* Thu Jun  8 2006 Pierre Ossman <drzeus@drzeus.cx> 0.9.1-1
- Update to 0.9.1.

* Mon May 29 2006 Pierre Ossman <drzeus@drzeus.cx> 0.9.0-2
- Build and package doxygen docs
- Call ldconfig for relevant subpackages.

* Mon May 29 2006 Pierre Ossman <drzeus@drzeus.cx> 0.9.0-1
- Update to 0.9.0

* Tue May  9 2006 Pierre Ossman <drzeus@drzeus.cx> 0.8.1-1
- Update to 0.8.1
- Split into more packages
- Remove the modules' static libs as those shouldn't be used (they shouldn't
  even be installed)

* Fri Feb 24 2006 Tom "spot" Callaway <tcallawa@redhat.com> 0.7-2
- dance around with perms so we don't strip the binary
- add missing BR

* Mon Nov 28 2005 Tom "spot" Callaway <tcallawa@redhat.com> 0.7-1
- Initial package for Fedora Extras
